<script lang="ts">
  import Section from './Section.svelte';
  import ProjectCard from '$lib/components/cards/ProjectCard.svelte';

  export let projects: any = {};
</script>

<Section title="Научные проекты студентов" href="/projects">
    <section class="grid 2xl:grid-cols-3 gap-8">
        {#each projects?.data as { id, name, description, attachment, tagProject: tags }}
            <ProjectCard
                {id}
                {name}
                {description}
                {attachment}
                {tags}
            />
        {/each}
    </section>
</Section>